2

I'm trying to compile boost libraries that I need for compiling and installing Ocelot tracker on the Raspberry Pi. I tried with libraries from apt-get but it doesn't work.

These are instructions for Ubuntu on x86 machine.

./bootstrap.sh --prefix=/usr/local
./b2 stage toolset=gcc cxxflags=-std=gnu++11 threading=multi link=shared
sudo ./b2 install toolset=gcc cxxflags=-std=gnu++11 threading=multi link=shared

What do I have to change to compile it correctly on Raspberry Pi? I'm currently on Raspbian Jessie, but will change it if needed.

Any help would be much appreciated.

closed as unclear what you're asking by goldilocks Feb 18 '16 at 21:46

Please clarify your specific problem or add additional details to highlight exactly what you need. As it's currently written, it’s hard to tell exactly what you're asking. See the How to Ask page for help clarifying this question. If this question can be reworded to fit the rules in the help center, please edit the question.

  • It compiles with same commands, system realizes that platform is arm and adjusts accordingly. My problem was elsewhere. – Johnny Vodka Feb 18 '16 at 21:00
  • 1
    Since your real problem was not the problem described in the question I've closed this. – goldilocks Feb 18 '16 at 21:47